Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.visitor
Class OWLModelVisitorHelper

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorHelper

    public class OWLModelVisitorHelper

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jan 8, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`OWLModelVisitorHelper(OWLModel model, OWLModelVisitor visitor)` Constructs a visitor helper, whose methods will visit the specified `OWLModel` with the specified `OWLModelVisitor`

Method Summary
`void` | `visitUserDefinedOWLNamedClasses()`
`void` | `visitUserDefinedOWLProperties()`
`void` | `visitUserDefinedRDFProperties()`
`void` | `visitUserDefinedRDFSNamedClasses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLModelVisitorHelper

    public OWLModelVisitorHelper(OWLModel model,
                                 OWLModelVisitor visitor)

  Constructs a visitor helper, whose methods will visit the specified `OWLModel` with the specified `OWLModelVisitor`

  Parameters:
    `model` - The model whose elements will be visited by the methods on this helper.
    `visitor` - The visitor that will visit the elements.

Method Detail

### visitUserDefinedOWLNamedClasses

    public void visitUserDefinedOWLNamedClasses()

### visitUserDefinedOWLProperties

    public void visitUserDefinedOWLProperties()

### visitUserDefinedRDFProperties

    public void visitUserDefinedRDFProperties()

### visitUserDefinedRDFSNamedClasses

    public void visitUserDefinedRDFSNamedClasses()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.